/**
 * Extracts params from request body.
 * Supported content types are:
 * - application/json
 * - application/x-www-form-urlencoded
 */
export class CTXBodyParamInterceptor extends CTXInterceptor {
    typeDecoders: {
        "application/x-www-form-urlencoded": (ctx: any) => Promise<{
            [k: string]: string;
        }>;
        "application/json": (ctx: any) => Promise<any>;
    };
    receive(endpoint: any, next: any, ctx: any, ...args: any[]): Promise<void>;
}
import { CTXInterceptor } from "./ctx-interceptor.mjs";
