export { CTXInterceptor } from "./ctx-interceptor.mjs";
export { CTXBodyParamInterceptor } from "./ctx-body-param-interceptor.mjs";
export { CTXJWTVerifyInterceptor } from "./ctx-jwt-verivy-interceptor.mjs";
/**
 * HTTP server.
 * @property {http.Server} server only present if state is running
 */
export class ServiceHTTP extends Service {
    /**
     * On demand create RouteSendEndpoint´s.
     * @param {string} name
     * @param {Object|string} definition
     * @return {Class} RouteSendEndpoint if path is present of name starts with '/'
     */
    endpointFactoryFromConfig(name: string, definition: any | string, ic: any): Class;
    /**
     * Should we make a secure connection.
     *
     * @return {boolean} true if key is present
     */
    get isSecure(): boolean;
    /**
     * Options passed to @see {http.createServer} or @see {https.createServer}.
     *
     * @return {Object}
     */
    get serverOptions(): any;
    get scheme(): "http" | "https";
    get url(): any;
    get socket(): any;
    get address(): any;
    server: any;
}
export default ServiceHTTP;
import { HTTPEndpoint } from "./http-endpoint.mjs";
import { WSEndpoint } from "./ws-endpoint.mjs";
import { Service } from "@kronos-integration/service";
export { HTTPEndpoint, WSEndpoint };
