export function initializeWS(service: any): void;
export function closeWS(service: any): void;
/**
 * Endpoint to link against a websocket route.
 * @param {string} name endpoint name
 * @param {Object} owner owner of the endpoint
 * @param {Object} options
 * @param {string} options.path url path defaults to endpoint name
 *
 * @property {Set<WebSocket>} sockets
 */
export class WSEndpoint extends SendReceiveEndpoint {
    constructor(name: any, owner: any, options: any);
    sockets: Set<any>;
    closeSockets(): void;
    addSocket(ws: any, request: any): void;
    receive(arg: any): Promise<any>;
    get path(): any;
    get ws(): boolean;
    #private;
}
import { SendReceiveEndpoint } from "@kronos-integration/endpoint";
